# $Revision: 1.31 $, $Date: 2008/08/04 13:15:51 $
# TODO
# - webapps support: apache1, lighttpd
# - find nice way to split it into 4 parts: user, admin, domain-admin and common
# - package css and templates as config.
# - put config part of vacation.pl into separate file (there is configuration part in that).
Summary:	Web Based Management tool created for Postfix
Summary(pl.UTF-8):	Narzędzie WWW do zarządzania Postfiksem
Name:		postfixadmin
Version:	2.2.1.1
Release:	1
License:	freely usable and distributable with restrictions (see URL)
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/postfixadmin/%{name}-%{version}.tar.gz
# Source0-md5:	d30f9b9ae5584308ad0cf84100f8ff24
Source1:	%{name}.conf
URL:		http://postfixadmin.com/
BuildRequires:	rpmbuild(macros) >= 1.264
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/groupadd
Requires:	php(pcre)
Requires:	php(session)
Requires:	webserver(access)
Requires:	webserver(alias)
Requires:	webserver(php)
Suggests:	php(imap)
Suggests:	webserver(indexfile)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Postfix Admin is a Web Based Management tool created for Postfix. It
is a PHP based application that handles Postfix Style Virtual Domains
and Users that are stored in MySQL.

Postfix Admin supports:
- Virtual Mailboxes / Virtual Aliases / Forwarders.
- Domain to Domain forwarding / Catch-All.
- Vacation (auto-response) for Virtual Mailboxes.
- Quota / Alias & Mailbox limits per domain.
- Backup MX.
- Packaged with over 25 languages... (Thank you all for sending them!)

%description -l pl.UTF-8
Postfix Admin to oparte na WWW narzędzie do zarządzania Postfiksem.
Jest to oparta na PHP aplikacja obsługująca wirtualne domeny i
użytkowników w stylu Postfiksa zapisane w bazie MySQL.

Postfix Admin obsługuje:
- wirtualne skrzynki, wirtualne aliasy, przekazywanie
- przekazywanie z domeny do domeny, przechwytywanie ("catch-all")
- autoresponder (vacation) dla skrzynek wirtualnych
- quoty, ograniczenia aliasów i skrzynek dla domen
- zapasowe MX-y
- komunikaty w ponad 25 języków (podziękowania za przysłanie ich!)

%package vacation
Summary:	Vacations script for Postfix
Summary(pl.UTF-8):	Skrypt wakacje dla Postfiksa
Group:		Networking/Utilities
# too bad, script is installed (and possibly configured inside) in /var/spool,
# so perlprov won't detect it :/
Requires:	perl-Email-Valid
Requires:	perl-MIME-Charset
Requires:	perl-MIME-EncWords
Requires:	perl-Mail-Sendmail
Suggests:	perl-DBD-Pg
Suggests:	perl-DBD-mysql

%description vacation
Vacations script for Postfix.

%description vacation -l pl.UTF-8
Skrypt wakacje dla Postfiksa.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/{admin,css,images,languages,templates,users},/var/spool/vacation}

install *.php $RPM_BUILD_ROOT%{_appdir}
install admin/*.php $RPM_BUILD_ROOT%{_appdir}/admin
install css/*.css $RPM_BUILD_ROOT%{_appdir}/css
install images/* $RPM_BUILD_ROOT%{_appdir}/images
install languages/* $RPM_BUILD_ROOT%{_appdir}/languages
install templates/* $RPM_BUILD_ROOT%{_appdir}/templates
install users/* $RPM_BUILD_ROOT%{_appdir}/users
install VIRTUAL_VACATION/vacation.pl $RPM_BUILD_ROOT/var/spool/vacation

# config:
install config.inc.php $RPM_BUILD_ROOT%{_sysconfdir}/config.php
ln -sf %{_sysconfdir}/config.php $RPM_BUILD_ROOT%{_appdir}/config.inc.php

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

# MOTD should be empty by default?
for motd in motd-admin.txt motd-users.txt motd.txt; do
	:> $RPM_BUILD_ROOT%{_sysconfdir}/$motd
	ln -s %{_sysconfdir}/$motd $RPM_BUILD_ROOT%{_appdir}
done

# We don't need it:
rm -f $RPM_BUILD_ROOT%{_appdir}/setup.php \
	$RPM_BUILD_ROOT%{_appdir}/VIRTUAL_VACATION/index.php

%clean
rm -rf $RPM_BUILD_ROOT

%pre vacation
%groupadd -g 219 vacation
%useradd -u 219 -d /var/spool/vacation/ -s /bin/false -c "Vacation scripts" -g vacation vacation

%postun vacation
if [ "$1" = "0" ]; then
	%userremove vacation
	%groupremove vacation
fi

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc *.TXT ADDITIONS motd*.txt
%dir %attr(750,root,http) %{_sysconfdir}
#%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/motd*
%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/motd*
%{_appdir}/admin
%{_appdir}/images
%{_appdir}/languages
%{_appdir}/css
%{_appdir}/templates
%{_appdir}/users

%files vacation
%defattr(644,root,root,755)
%doc VIRTUAL_VACATION
%attr(700,vacation,vacation) %dir /var/spool/vacation
%attr(700,vacation,vacation) %config(noreplace) %verify(not md5 mtime size) /var/spool/vacation/vacation.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: postfixadmin.spec,v $
Revision 1.31  2008/08/04 13:15:51  blues
- suggest php(imap) for subdir creation

Revision 1.30  2008/07/29 22:36:01  qboosh
- too ugly to use perlprov (yet)

Revision 1.29  2008/07/26 09:07:26  luzik
- updated to 2.2.1.1
- rel 1
- still need patch to upgrade.php
- STBR

Revision 1.28  2008/07/22 12:36:14  luzik
- updated to 2.2.0
- removed outdated patches (all)
- removed trick with *tpl - there is no such files now
- untested
- rel 0.9

Revision 1.27  2008/07/10 08:03:53  blues
- rel.4 - fix end-of-line in users-panel too

Revision 1.26  2008-04-25 07:37:46  blues
- rel.3 - case_insensitive_mailbox patch added; fixes creation mailbox with
  mixed letters.

Revision 1.25  2008-04-03 08:41:30  blues
- rel.2 - preg_fix patch added - one preg_replace was pointless and in some
  situations there was problem with '\r\n' in alias edition

Revision 1.24  2008-01-18 14:18:57  blues
- small typo in pl translation

Revision 1.23  2008-01-17 15:43:12  blues
- rel.1 - works when the database is non-local and no magic quotes

Revision 1.22  2007-12-20 16:01:13  blues
- indexfile is strongly suggested

Revision 1.21  2007-12-20 15:36:14  blues
- missing requires

Revision 1.20  2007-12-16 22:07:46  blues
- vacation script has config part, shouldn't be replaced (mark it).

Revision 1.19  2007-12-16 20:47:50  blues
- virtual vacation docs to vacation subpackage

Revision 1.18  2007-11-17 14:33:38  gotar
- added pgsql patch, rel. 0.8

Revision 1.17  2007-11-17 14:17:41  gotar
- removed %lang flags, this is webapp, language is chosen on browser basis

Revision 1.16  2007-11-05 18:58:40  blues
- drop setup.php - it's not needed

Revision 1.15  2007/05/24 12:06:34  blues
- move templates to etc - it's up to user to modify how this frontend looks
  like; package motd* as configs

Revision 1.14  2007/05/23 08:30:37  blues
- project has moved

Revision 1.13  2007/05/22 15:33:41  qboosh
- pl fix, unified caps

Revision 1.12  2007/05/22 09:29:19  luzik
- added vacation subpackage

Revision 1.11  2007/04/30 06:27:35  luzik
- included css
- added pl lang fix
- rel 0.4

Revision 1.10  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.8  2007/01/06 23:26:17  blues
- use virtual deps

Revision 1.7  2007/01/05 11:41:24  glen
- corrected apache2 triggers

Revision 1.6  2007/01/05 11:29:38  blues
- apache config added

Revision 1.5  2007/01/05 11:00:56  blues
- lang markings

Revision 1.4  2006/12/26 20:01:25  qboosh
- License filled

Revision 1.3  2006/12/26 19:39:25  qboosh
- pl

Revision 1.2  2006/12/19 22:39:36  glen
- unify, deps

Revision 1.1  2006/12/19 21:56:56  blues
- initial
